#############################################################################
##
## NumberPNQExceptional(n) determines R(p^nq) for q <> p and n <= 5.
##
InstallMethod( NumberPNQExceptional, [IsPosInt], function( n )
	if n = 1 then
		return 0*p^0;
	elif n = 2 then
		return 0*p^0;
	elif n = 3 then
		return P2*Q3;
	elif n = 4 then
		return 4*P2*Q3+P3*Q13;
	elif n = 5 then
		return 17*P2*Q3+2*P3*Q13+P2*Q5;
	else 
		Error("n must be an integer between 1 and 5!");
	fi;
end );
