#############################################################################
##
## NumberPNQNilpotent(n) determines N(p^nq) for q <> p and n <= 5.
## These are in fact the numbers of p-groups of order p^n, n <= 5.
##
InstallMethod( NumberPNQNilpotent, [IsPosInt], function( n )
	if n = 1 then
		return 1*p^0;
	elif n = 2 then
		return 2*p^0;
	elif n = 3 then
		return 5*p^0;
	elif n = 4 then
		return 15-P2;
	elif n = 5 then
		return 2*p+65+4*D9+2*D10-18*P2-4*P3;
	else 
		Error("n must be an integer between 1 and 5!");
	fi;
end );
