#############################################################################
##
#W    read.g                 The pnqporc package                Bettina Eick
##																Tobias Moede

#############################################################################
##
## Indeterminates 
##
p := IndeterminateByName("p");
x := IndeterminateByName("x");
w := IndeterminateByName("w");
q := Indeterminate(Rationals,"q");

g3 := IndeterminateByName("(p-1,3)");
g4 := IndeterminateByName("(p-1,4)");
q3 := Indeterminate(Rationals,"(q-1,3)");
q4 := Indeterminate(Rationals,"(q-1,4)");
q5 := Indeterminate(Rationals,"(q-1,5)");

Q13 := Indeterminate(Rationals,"d(13,q)");
Q5 := Indeterminate(Rationals,"d(5,q)");
Q3 := Indeterminate(Rationals,"d(3,q)");
Q2 := Indeterminate(Rationals,"d(2,q)");

P3 := Indeterminate(Rationals,"d(3,p)");
P2 := Indeterminate(Rationals,"d(2,p)");

D1 := Indeterminate(Rationals,"d(q,p-1)");
D2 := Indeterminate(Rationals,"g(q,p^2-1)");
D3 := Indeterminate(Rationals,"g(q,p^3-1)");
D4 := Indeterminate(Rationals,"g(q,p^4-1)");
D5 := Indeterminate(Rationals,"g(q,p^5-1)");

D6 := Indeterminate(Rationals, "d(3,q-1)");
D7 := Indeterminate(Rationals, "d(4,q-1)");
D8 := Indeterminate(Rationals, "d(5,q-1)");

D9 := Indeterminate(Rationals, "d(3,p-1)");
D10 := Indeterminate(Rationals, "d(4,p-1)");
D11 := Indeterminate(Rationals, "d(2,p-1)");

DP := Indeterminate(Rationals,"d(p,q-1)");
DP2 := Indeterminate(Rationals,"d(p^2,q-1)");
DP3 := Indeterminate(Rationals,"d(p^3,q-1)");
DP4 := Indeterminate(Rationals,"d(p^4,q-1)");
DP5 := Indeterminate(Rationals,"d(p^5,q-1)");

#############################################################################
##
#R  Read the install files.
##
ReadPackage("pnqporc", "lib/porc.gi");
ReadPackage("pnqporc", "lib/normalp.gi");
ReadPackage("pnqporc", "lib/normalq.gi");
ReadPackage("pnqporc", "lib/check.gi");
ReadPackage("pnqporc", "lib/nilpotent.gi");
ReadPackage("pnqporc", "lib/exceptional.gi");
ReadPackage("pnqporc", "lib/complete.gi");




